Subject: [0/9][2.6] via-rhine patches

From: Roger Luethi <[email-masked]>
Date: Wed, 2 Jun 2004 13:57:03 +0200

More changes for via-rhine, part of my clean-up effort to make via-rhine
easier to maintain.

After this batch, I have a few clean-up patches that are a tad more
intrusive, plus fixes for broken functionality and new features.

Big thanks to A.J. from VIA Networking Technologies, Inc. who has
provided detailed information on Rhine chip behavior. Without him,
many of the via-rhine patches to come would not have happened.

Roger